Delete an external storage configuration
client.Admin.Organization.ExternalStorage.Delete(ctx, externalStorageID) (*ExternalStorageDeleted, error)
DELETE
/organization/external_storage/{external_storage_id}Disconnect a customer-managed external storage configuration. Removing the project’s last configuration restores organization-default retention if customer-managed retention was active. Repeating a deletion also completes any interrupted retention update. Cloud storage is unchanged.
Delete an external storage configuration
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAdminAPIKey("My Admin API Key"),
)
externalStorageDeleted, err := client.Admin.Organization.ExternalStorage.Delete(context.TODO(), "extstorage_123")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", externalStorageDeleted.ID)
}
Response example
{
"object": "organization.external_storage.deleted",
"id": "extstorage_abc123",
"deleted": true
}
Returns Examples
Response example
{
"object": "organization.external_storage.deleted",
"id": "extstorage_abc123",
"deleted": true
}